/*CSS Reset*/

* {
	/*zeroes all the margins and padding of our elements. Because by default, elements are being added margins and paddings by browser
	box-sizing: border-box; - to accurately measure our elements, that padding and border are not added on the top of the element's width
	*/
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}




/*class selector*/


.sample {
	height: 150px;
	width: 150px;
	border: 2px solid blue;
	background-color: green;
}

/*id selector*/

#box1 {
	height: 150px;
	width: 150px;
	padding: 50px;
	border: 2px solid black;
	background-color: orange;
	margin-right: 30px;
	display: inline-block;
	vertical-align: top;
	/*

	without box-sizing:  border box
		the exact width: 254px

		border and padding are added on top of the width

		2px Left border + 50px Left padding + 150 width + 50px right padding + 2px right border = 254px


	with box-sizing: border-box;
		the exact width of our element:
		
		border and padding are included in the total width
		2px left border + 50px left padding + ________ + 50px right padding + 2px left border
		
		padding - space within an element
		margin - space outside of the element or outside of an element's border

		display: inline-block;
		this property is used to display an element as an inline-level block container.

	*/
}

#box2 {
	height: 150px;
	width: 150px;
	border: 2px solid red;
	padding: 50px;
	background-color: yellow;
	display: inline-block;
	vertical-align: top;
}